Bug 827752 - Review Request: python-django-authority - A Django app for generic per-object permissions and custom permission checks
Review Request: python-django-authority - A Django app for generic per-object...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 736776 962963
  Show dependency treegraph
 
Reported: 2012-06-02 16:26 EDT by Matthias Runge
Modified: 2013-05-15 07:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-06 15:29:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
michel: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Runge 2012-06-02 16:26:27 EDT
Spec URL: http://www.matthias-runge.de/fedora/python-django-authority.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-django-authority-0.4-1.fc17.src.rpm
Description: 
This is a Django app for generic per-object permissions, custom permission
checks and permission requests. It also includes view decorators and template 
tags for ease of use.

Fedora Account System Username: mrunge


Please note, this is a review required for package renaming.

[mrunge@sofja SPECS]$ rpmlint ../SRPMS/python-django-authority-0.4-1.fc17.src.rpm ../RPMS/noarch/python-django-authority-0.4-1.fc17.noarch.rpm ./python-django-authority.spec 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

koji scratchbuild: http://koji.fedoraproject.org/koji/taskinfo?taskID=4122283
Comment 1 Michel Alexandre Salim 2012-06-04 04:58:43 EDT
Two tiny things:

[!]: MUST Package does not generate any conflict.
     The latest package before the rename is revision 5 -- so you probably want
     to obsolete %{pkgname} <= %{obs_ver} -- or bump obs_ver up and keep using
     <

[!]: SHOULD %check is present and all tests pass.
     upstream does not ship tests, so we can ignore this one

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[!]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.

rpmlint python-django-authority-0.4-1.fc17.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint python-django-authority-0.4-1.fc17.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/michel/sources/fedora/reviews/827752/django-authority-0.4.tar.gz :
  MD5SUM this package     : 9539865bb869ea4538d042b4a75c771b
  MD5SUM upstream package : 9539865bb869ea4538d042b4a75c771b

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[!]: SHOULD %check is present and all tests pass.
     upstream does not ship tests
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


Generated by fedora-review 0.1.3
External plugins:
Comment 2 Matthias Runge 2012-06-04 05:12:51 EDT
Thank you for the review. 
I messed obsoletes up.

Since upstream doesn't provide any tests, I'd skip that.


Updated
SPEC: http://www.matthias-runge.de/fedora/python-django-authority.spec
SRPM: http://www.matthias-runge.de/fedora/python-django-authority-0.4-2.fc17.src.rpm

[mrunge@mrungexp SPECS]$ diff -u python-django-authority.spec.1 python-django-authority.spec
--- python-django-authority.spec.1	2012-06-02 22:21:25.000000000 +0200
+++ python-django-authority.spec	2012-06-04 11:06:12.099303341 +0200
@@ -3,7 +3,7 @@
 
 Name:           python-django-authority
 Version:        0.4
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        A Django app for generic per-object permissions and custom permission checks
 
 Group:          Development/Languages
@@ -17,7 +17,7 @@
 Requires:       python-django
 
 Provides:       %{pkgname} = %{version}-%{release}
-Obsoletes:      %{pkgname} < %{obs_ver}
+Obsoletes:      %{pkgname} <= %{obs_ver}
 
 
 %description
@@ -54,7 +54,10 @@
 %{python_sitelib}/django_authority-%{version}-py?.?.egg-info
 
 %changelog
-* Fri Jun 01 2012 Matthias Ruge <mrunge@matthias-runge.de> - 0.4-1
+* Mon Jun 04 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.4-2
+- really obsolete version 0.3-5
+
+* Fri Jun 01 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.4-1
 - renamed to python-django-authority
 - spec cleanup
 - update to version 0.4
Comment 3 Michel Alexandre Salim 2012-06-04 05:58:58 EDT
oops, and misspelled your own last name :) Everything looks fine now - APPROVED
Comment 4 Matthias Runge 2012-06-04 06:03:07 EDT
yes, I did :D Thank you!


New Package SCM Request
=======================
Package Name: python-django-authority
Short Description: A Django app for generic per-object permissions and custom permission checks
Owners: mrunge
Branches: devel
Comment 5 Jon Ciesla 2012-06-04 08:09:18 EDT
Git done (by process-git-requests).
Comment 6 Matthias Runge 2012-06-06 15:29:13 EDT
python-django-authority imported and built, django-authority deprecated and blocked.
Thanks!
Comment 7 Matthias Runge 2013-05-15 03:17:41 EDT
Package Change Request
======================
Package Name: python-django-authority
New Branches: el6
Owners: mrunge
Comment 8 Dennis Gilmore 2013-05-15 07:18:28 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.